<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:param name="useDefaultJQuery" value="false"/>
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.proxy.TLSErrorMessages']}</h2>
        #{messageBean.retrieveMessage("TLS_ERROR")}

        <s:div id="messageFound" rendered="#{messageBean.message != null}">
            #{messageBean.intResult()}
            <h:form>
                <ui:include src="commonProperties.xhtml"></ui:include>
                <div class="gzl-alert gzl-alert-red">
                    <span style="font-family: monospace;">TLS Handshake has failed for this connection</span>
                </div>
            </h:form>
            <ui:include src="commonDownload.xhtml"></ui:include>
        </s:div>

        <s:div id="messageNotFound" rendered="#{messageBean.message == null}">
            <ui:include src="_messageNotFound.xhtml"/>
        </s:div>

    </ui:define>
</ui:composition>
